"use strict";

var _cli = require("./cli");

describe('parseRange', () => {
  test('parses symmetric <sha1>...<sha2>', () => {
    const range = (0, _cli.parseRange)('e9f569df...cd1f7cd6');
    expect(range.from).toBe('e9f569df');
    expect(range.to).toBe('cd1f7cd6');
    expect(range.symmetric).toBe(true);
  });
  test('parses non-symmetric <sha1>..<sha2>', () => {
    const range = (0, _cli.parseRange)('e9f569df..cd1f7cd6');
    expect(range.from).toBe('e9f569df');
    expect(range.to).toBe('cd1f7cd6');
    expect(range.symmetric).toBe(false);
  });
  test('parses <sha1>', () => {
    const range = (0, _cli.parseRange)('e9f569df');
    expect(range.from).toBe('e9f569df');
    expect(range.to).toBe('');
    expect(range.symmetric).toBe(false);
  });
  test('invalid pattern', () => {
    expect(() => (0, _cli.parseRange)('...')).toThrow(Error);
  });
});
//# sourceMappingURL=cli.test.js.map